
        <div fxLayout="row">
            <div  fxFlex="90">
                <mat-form-field appearance="outline" class="search">
                    <mat-label>{{'msg.employee.directory.tab.search'| translate}}</mat-label>
                    <input matInput (keyup)="applyFilter($event)" placeholder="Ex. Mia" #input>
                </mat-form-field>
            </div>
            <div fxFlex="10">
                <div class="m-l-10 m-t-10" matTooltip="">
                    <button mat-mini-fab color="primary" (click)="refresh()">
                        <mat-icon class="col-white">refresh</mat-icon>
                    </button>
                </div>
            </div>
            <div fxFlex="10">
                <div fxLayout="row" >
                    <div  fxFlex="50">
                        <div class="export-button m-l-10 m-t-10" matTooltip="XLSX">
                            <i class="fas fa-file-excel"  style="font-size: 29px" (click)="exportXLS()"></i>
                        </div>
                    </div>
                    <div  fxFlex="50">
                        <div class="export-button m-l-10 m-t-10" matTooltip="PDF">
                            <i class="fas fa-file-pdf" style="font-size: 29px" (click)="exportPdf()"></i>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div>
            <table mat-table [dataSource]="dataSource" matSort>
                <!-- Progress Column -->
                <ng-container matColumnDef="userFirstName">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> {{'msg.employee.directory.tab.column.name'| translate}} </th>
                    <td mat-cell *matCellDef="let row">
                        <div fxLayout="row" class="avatar-cell" *ngIf="!isLoading">
                            <div  fxFlex="30" class="table-img tbl-col-width-per-5">
                                <img *ngIf="row"
                                     [src]="row? url+row?.userPhoto: ''" />
                            </div>
                            <div  fxFlex="70">
                                {{row?.userFirstName + ' ' + row?.userLastName}}
                            </div>
                        </div>
                    </td>
                </ng-container>

                <!-- Name Column -->
                <ng-container matColumnDef="userProfileLabel">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> {{'msg.employee.directory.tab.column.profil'| translate}}  </th>
                    <td mat-cell *matCellDef="let row">
                        <div *ngIf="!isLoading">
                            {{row?.userProfileLabel}}
                        </div>
                    </td>
                </ng-container>

                <!-- Fruit Column -->
                <ng-container matColumnDef="userWorkCategory">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> {{'msg.employee.directory.tab.column.specialty'| translate}}  </th>
                    <td mat-cell *matCellDef="let row">
                        <div *ngIf="!isLoading">
                            {{row?.userWorkCategory}}
                        </div>
                    </td>
                </ng-container>

                <!-- Fruit Column -->
                <ng-container matColumnDef="userFunction">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> {{'msg.employee.directory.tab.column.function'| translate}}  </th>
                    <td mat-cell *matCellDef="let row">
                        <div *ngIf="!isLoading">
                            {{row?.userFunction  }}
                        </div>
                    </td>
                </ng-container>

                <!-- Fruit Column -->
                <ng-container matColumnDef="userHiringDate">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> {{'msg.employee.directory.tab.column.hiringDate'| translate}} </th>
                    <td mat-cell *matCellDef="let row">
                        <div *ngIf="!isLoading">
                            {{parseDate(row?.userHiringDate) | date: 'dd/MM/yyyy'}}
                        </div>
                    </td>
                </ng-container>

                <!-- Name Column -->
                <ng-container matColumnDef="action">
                    <th mat-header-cell *matHeaderCellDef>  </th>
                    <td mat-cell *matCellDef="let row">
                    <div fxLayout="row" *ngIf="!isLoading">
                        <div fxFlex="50" class="icontab" (click)="openDialog( row.id.stringOf)">

                            <app-feather-icons class="tbl-fav-delete" [icon]="'trash-2'"></app-feather-icons>
                        </div>
                        <div fxFlex="50" class="icontab">
                            <app-feather-icons class="tbl-fav-edit" [icon]="'edit'"></app-feather-icons>
                        </div>
                    </div>
                    </td>
                </ng-container>
                <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
                <!-- Row shown when there is no matching data. -->
                <tr class="mat-row" *matNoDataRow>
                    <td class="mat-cell" colspan="6" *ngIf="!isLoading">{{'msg.employee.directory.tab.column.search'| translate}} "{{input.value}}"</td>
                </tr>
            </table>
            <div *ngIf="isLoading" style="display: flex; justify-content: center; align-items: center">

                <mat-progress-spinner
                        color="primary"
                        mode="indeterminate">
                </mat-progress-spinner>
            </div>
            <mat-paginator (page)="onPageChanged($event)" [length]="total" [pageSize]="5" class="mat-paginator-sticky" [pageSizeOptions]="[5, 7, 25]" aria-label="Select page of users"></mat-paginator>
        </div>
<div class="pull-right" matTooltip="FILTER">
    <button mat-mini-fab color="warn"  (click)="openFilter()">
        <i class="fas fa-filter"></i>
    </button>
</div>
